[package]
name = "xand-api-proto"
version = "49.0.0"
authors = ["Transparent Financial Systems <support@tpfs.io>"]
edition = "2021"
description = "Protobuf definitions for the Xand API"
license = "MIT OR Apache-2.0"

[dependencies]
bincode = "1.3.3"
blake2 = "0.8"
bs58 = "0.3"
chrono = { version = "0.4", features = ["serde"] }
derive_more = "0.99.17"
hex = "0.3"
prost = "0.9.0"
prost-derive = "0.9.0"
rand = "0.7"
snafu = "0.6"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
strum = { version = "0.21.0", features = ["derive"] }
thiserror = "1.0.23"
tonic = "0.6.2"

# 1st party deps local

# 1st party deps published
wasm-hash-verifier = "0.2.2"
xand-address = "0.4.2"
xand-utils = "1.0.0"

[build-dependencies]
regex = "1.5.5"
tonic-build = "0.6.2"

[dev-dependencies]
assert_matches = "1.3.0"
serde_json = "1.0"
